package cn.com.qmth.export;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

public class Export {
	private static Logger logger = LogManager.getLogger(Export.class);

	public static void main(String[] args) {
		if(args==null||args.length==0) {
			logger.error("need param input as 1:byCourse,2:byAllQues");
			return;
		}
		String type=args[0];
		logger.debug("export start.............");
		try {
			if("1".equals(type)) {
				ExportPaperByCourseCode.dispose();
			}else if("2".equals(type)) {
				ExportPaperByAllQuestions.dispose();
			}
		} catch (Exception e) {
			logger.error(e.getCause(),e);
		}
		logger.debug("export end.............");
	}
}
